From 95651f8bdabe6dd3df5c06b65a4b3efa4166f670 Mon Sep 17 00:00:00 2001
From: Maxim Karasev <begs@disroot.org>
Date: Fri, 17 Jun 2022 00:37:48 +0300
Subject: [PATCH] Use FHS directories

Responder doesn't fit in Unix environment nicely by default.
---
 Responder.conf | 10 +++++-----
 settings.py    |  6 +++---
 2 files changed, 8 insertions(+), 8 deletions(-)

diff --git a/Responder.conf b/Responder.conf
index 5c1b94e..5d6dbcb 100755
--- a/Responder.conf
+++ b/Responder.conf
@@ -22,19 +22,19 @@ Challenge = Random
 
 ; SQLite Database file
 ; Delete this file to re-capture previously captured hashes
-Database = Responder.db
+Database = responder.db
 
 ; Default log file
-SessionLog = Responder-Session.log
+SessionLog = responder-session.log
 
 ; Poisoners log
-PoisonersLog = Poisoners-Session.log
+PoisonersLog = poisoners-session.log
 
 ; Analyze mode log
-AnalyzeLog = Analyzer-Session.log
+AnalyzeLog = analyzer-session.log
 
 ; Dump Responder Config log:
-ResponderConfigDump = Config-Responder.log
+ResponderConfigDump = config-responder.log
 
 ; Specific IP Addresses to respond to (default = All)
 ; Example: RespondTo = 10.20.1.100-150, 10.20.3.10
diff --git a/settings.py b/settings.py
index 095f5b5..fe17b00 100755
--- a/settings.py
+++ b/settings.py
@@ -82,7 +82,7 @@ class Settings:
 			self.PY2OR3	= "PY2"
 		# Config parsing
 		config = ConfigParser.ConfigParser()
-		config.read(os.path.join(self.ResponderPATH, 'Responder.conf'))
+		config.read(os.path.join('/etc/responder', 'responder.conf'))
 		
 		# Servers
 		self.HTTP_On_Off     = self.toBool(config.get('Responder Core', 'HTTP'))
@@ -101,10 +101,10 @@ class Settings:
 		self.Krb_On_Off      = self.toBool(config.get('Responder Core', 'Kerberos'))
 
 		# Db File
-		self.DatabaseFile    = os.path.join(self.ResponderPATH, config.get('Responder Core', 'Database'))
+		self.DatabaseFile    = os.path.join('/var/lib/responder', config.get('Responder Core', 'Database'))
 
 		# Log Files
-		self.LogDir = os.path.join(self.ResponderPATH, 'logs')
+		self.LogDir = '/var/log/responder'
 
 		if not os.path.exists(self.LogDir):
 			os.mkdir(self.LogDir)
-- 
2.36.1

